<!--视频浏览DIALOG-->
<!--
        <lookVideoDialog ref="lookVideoDialog"></lookVideoDialog>
        import lookVideoDialog from '@/components/lookVideoDialog/lookVideoDialog.vue'
        components: {
          lookVideoDialog
        },
        /*
          传入3个参数(1,list,index)
          1-开启
          rul视频地址
          '报警抓拍'title名称
        */
        this.$refs.lookVideoDialog.lookVideoDialogOpen(1,item.url,'报警抓拍');
-->
<template>
  <el-dialog class="look-img-dialog" :title="lookVideoDialogTitle" :visible.sync="lookVideoDialogType" v-if="lookVideoDialogType" width="1070px" height="700" append-to-body>
    <video style="width:1029px;height:578px;" controls="" autoplay="" name="media" :poster="videoCover">
      <source :src="lookVideoDialogUrl" type="video/mp4">
    </video>
  </el-dialog>
</template>

<script>
  export default {
    name: 'lookVideoDialog',
    data(){
      return{
        videoCover:window.location.href.split('://')[0]+'://' + this.judgmentNetworkReturnAddress() + "/admin/" + localStorage.getItem('videoCover'),
        lookVideoDialogUrl:"",
        lookVideoDialogTitle:"",
        lookVideoDialogType:false,
      }
    },
    created(){

    },
    mounted(){

    },
    methods:{
      lookVideoDialogOpen(type,url,title){
        if(type == 1){
          this.$set(this,'lookVideoDialogUrl',url);
          this.$set(this,'lookVideoDialogTitle',title?title:'视频');
          this.$set(this,'lookVideoDialogType',true);
        }else if(type == 2){
          this.$set(this,'lookVideoDialogType',false);
        }
      },
    },
  }
</script>

<style scoped lang="scss">
  .look-img-dialog{

  }
</style>
